com.google.web.bindery.requestfactory.shared.messages

## Interface OperationMessage

All Superinterfaces:
  IdMessage, VersionedMessage

    public interface OperationMessage
    extends IdMessage, VersionedMessage

Represents an operation to be carried out on a single entity on the server.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.web.bindery.requestfactory.shared.messages.IdMessage

`IdMessage.Strength`

### Field Summary

Fields
`static java.lang.String` `OPERATION`
`static java.lang.String` `PROPERTY_MAP`

### Fields inherited from interface com.google.web.bindery.requestfactory.shared.messages.IdMessage

`CLIENT_ID, SERVER_ID, STRENGTH, SYNTHETIC_ID, TYPE_TOKEN`

### Fields inherited from interface com.google.web.bindery.requestfactory.shared.messages.VersionedMessage

`VERSION`

### Method Summary

All Methods Instance Methods Abstract Methods
`WriteOperation` `getOperation()`
`java.util.Map<java.lang.String,Splittable>` `getPropertyMap()`
`void` `setOperation(WriteOperation value)`
`void` `setPropertyMap(java.util.Map<java.lang.String,Splittable> map)`

### Methods inherited from interface com.google.web.bindery.requestfactory.shared.messages.IdMessage

`getClientId, getServerId, getStrength, getSyntheticId, getTypeToken, setClientId, setServerId, setStrength, setSyntheticId, setTypeToken`

### Methods inherited from interface com.google.web.bindery.requestfactory.shared.messages.VersionedMessage

`getVersion, setVersion`

### Field Detail

#### OPERATION

    static final java.lang.String OPERATION

See Also:
  Constant Field Values

#### PROPERTY_MAP

    static final java.lang.String PROPERTY_MAP

See Also:
  Constant Field Values

### Method Detail

#### getOperation

    @AutoBean.PropertyName(value="O")
    WriteOperation getOperation()

#### getPropertyMap

    @AutoBean.PropertyName(value="P")
    java.util.Map<java.lang.String,Splittable> getPropertyMap()

#### setOperation

    @AutoBean.PropertyName(value="O")
    void setOperation(WriteOperation value)

#### setPropertyMap

    @AutoBean.PropertyName(value="P")
    void setPropertyMap(java.util.Map<java.lang.String,Splittable> map)